#define USE_POSIX_TIME
#define DISABLE_XOPEN_NLS
#define HAS_TEST_AND_SET
#define INCLUDE_PATH "/pgsql/include"  /*better define a logical PGSQL !! */

typedef unsigned int slock_t;

/* POSTGRES uses BSD caddr_t in an otherwise POSIX code and there seems not
to be any combination of standards which will pick it up from the regular 
headers and get a clean compile on BOOTSTRAP.C */

typedef char * caddr_t;  

/* POSTGRES uses XOPEN strcasecmp which doesn't work well with ANSI C mode. 
 Add the prototype here to avoid a pile of warnings.  */

int  strcasecmp  (const char *, const char *);

/* some platforms define __alpha, but not __alpha__ */
#if defined(__alpha) && !defined(__alpha__)
#define __alpha__
#endif

#ifdef FORCE_UINT
typedef unsigned int u_int;
#endif
#ifdef FORCE_ULONG
typedef unsigned long u_long;
#endif
#ifdef FORCE_USHORT
typedef unsigned short ushort;
#endif


#ifndef BYTE_ORDER
#define BYTE_ORDER LITTLE_ENDIAN
#endif

#define NOFILE 100

/* needed by postinit.c.  Probably won't be needed when the interprocess
communications stuff is rewritten using native VMS services */

#define IPC_PRIVATE (key_t)0    /* private key */


/* strings which are > 31 characters and unique */

#define  AttributeNumberGetIndexStrategySize             AttNumGetIndexStrategySize
#define  check_subplans_for_ungrouped_vars               check_s_p_for_ungrouped_vars
#define  ExecAssignResultTypeFromOuterPlan               ExecAssignResTypeFromOuterPlan
#define  get_cheapest_fractional_path_for_pathkeys       get_cheapest_frac_path_f_pkeys
#define  ImmediateInvalidateSharedHeapTuple              ImmInvSharedHeapTuple
#define  RelationInvalidateCatalogCacheTuple             RelInvCatalogCacheTuple
#define  RelationIdInvalidateRelationCacheByRelationId   RelIdInvRelCacheByRelationId
#define  ReferentialIntegritySnapshotOverride            RefIntegritySnapOverride
#define  TransactionIdIsCurrentTransactionId             TransIdIsCurTransId

/* WORSE strings which are > 31 characters and NOT unique */

#define pglz_get_next_decomp_char_from_lzdata p_g_n_d_c_f_lzdata
#define pglz_get_next_decomp_char_from_plain  p_g_n_d_c_f_plain

