$! MAKE_VMS.COM
$! Build procedure for Postgresql 7.0.2 for OpenVMS 7.2-1 with DECC V6.2-007
$!
$! 16-AUG-2000, David Mathog, Biology Division, Caltech
$! edited from a log of a build on RH 5.2/Intel using gcc
$!
$! 0riginal compile line:
$!  gcc ,[-.include])-I../backend
$!
$! This MUST start in the [.src] directory!!!
$!
$ here = f$environment("DEFAULT")
$ PTOP = here - "]"
$ sutils = here - "]" + ".include."
$ define/nolog ACCESS    'sutils'ACCESS]
$ define/nolog BOOTSTRAP 'sutils'BOOTSTRAP]
$ define/nolog CATALOG   'sutils'CATALOG]
$ define/nolog COMMANDS  'sutils'COMMANDS]
$ define/nolog EXECUTOR  'sutils'EXECUTOR]
$ define/nolog LIB       'sutils'LIB]
$ define/nolog LIBPQ     'sutils'LIBPQ]
$ define/nolog MB        'sutils'MB]
$ define/nolog NODES     'sutils'NODES]
$ define/nolog OPTIMIZER 'sutils'OPTIMIZER]
$ define/nolog PARSER    'sutils'PARSER]
$ define/nolog PORT      'sutils'PORT]
$ define/nolog REGEX     'sutils'REGEX]
$ define/nolog REWRITE   'sutils'REWRITE]
$ define/nolog STORAGE   'sutils'STORAGE]
$ define/nolog TCOP      'sutils'TCOP]
$ define/nolog UTILS     'sutils'UTILS]
$!
$!
$ dflag :== /define=(_POSIX_C_SOURCE=2,_XOPEN_SOURCE_EXTENDED)
$ cdef == dflag
$ cdef_no_xopen == cdef - ",_XOPEN_SOURCE_EXTENDED"
$ mycc   :== cc/standard=ansi89/prefix=all/float=ieee
$ myccr  :== cc/standard=relaxed/prefix=all/float=ieee
$ mycxx  :== cxx/standard=ansi/prefix=all/float=ieee
$!
$ copy vms_version.h            [.include]version.h
$ copy vms_config.h             [.include]config.h
$ copy vms_fmgr.h               [.backend.utils]fmgr.h
$ copy vms_fmgrtab.c            [.backend.utils]fmgrtab.c
$ copy vms_global1_bki.source   [.backend.catalog]global1_bki.source
$ copy vms_global1.description  [.backend.catalog]global1.description
$ copy vms_local1_template1_bki.source   [.backend.catalog]local1_template1_bki.source
$ copy vms_local1_template1.description  [.backend.catalog]local1_template1.description
$ create [.include]os.h
#define USE_POSIX_TIME
#define DISABLE_XOPEN_NLS
#define HAS_TEST_AND_SET
#define INCLUDE_PATH "/pgsql/include"  /*better define a logical PGSQL !! */

typedef unsigned int slock_t;

/* POSTGRES uses BSD caddr_t in an otherwise POSIX code and there seems not
to be any combination of standards which will pick it up from the regular 
headers and get a clean compile on BOOTSTRAP.C */

typedef char * caddr_t;  

/* POSTGRES uses XOPEN strcasecmp which doesn't work well with ANSI C mode. 
 Add the prototype here to avoid a pile of warnings.  */

#include <ctype.h>
int  strcasecmp  (const char *, const char *);
int  strncasecmp(const char *, const char *, unsigned int );

/* some platforms define __alpha, but not __alpha__ */
#if defined(__alpha) && !defined(__alpha__)
#define __alpha__
#endif

/* be-dumpdata.c couldn't pick up u_int with the other standards
   flags it needs to compile */

#ifdef FORCE_UINT
  typedef unsigned int u_int;
#endif
#ifdef FORCE_ULONG
  typedef unsigned int u_long;
#endif
#ifdef FORCE_USHORT
  typedef unsigned short ushort;
#endif

#ifndef BYTE_ORDER
#define BYTE_ORDER LITTLE_ENDIAN
#endif

#define NOFILE 100


/* needed by postinit.c.  Probably won't be needed when the interprocess 
communications stuff is rewritten using native VMS services */

#define IPC_PRIVATE (key_t)0    /* private key */


/* strings which are > 31 characters and unique */

#define  AttributeNumberGetIndexStrategySize             AttNumGetIndexStrategySize
#define  check_subplans_for_ungrouped_vars               check_s_p_for_ungrouped_vars
#define  ExecAssignResultTypeFromOuterPlan               ExecAssignResTypeFromOuterPlan
#define  get_cheapest_fractional_path_for_pathkeys       get_cheapest_frac_path_f_pkeys
#define  ImmediateInvalidateSharedHeapTuple              ImmInvSharedHeapTuple
#define  RelationInvalidateCatalogCacheTuple             RelInvCatalogCacheTuple
#define  RelationIdInvalidateRelationCacheByRelationId   RelIdInvRelCacheByRelationId
#define  ReferentialIntegritySnapshotOverride            RefIntegritySnapOverride
#define  TransactionIdIsCurrentTransactionId             TransIdIsCurTransId

/* WORSE strings which are > 31 characters and NOT unique */

#define pglz_get_next_decomp_char_from_lzdata p_g_n_d_c_f_lzdata
#define pglz_get_next_decomp_char_from_plain  p_g_n_d_c_f_plain

$!
$!************************************************************
$!
$ set def 'PTOP'.utils]
$ mycc 'cdef' /include=([-.include...],[-.backend...])  version.c
$!
$ set def 'PTOP'.backend.access]
$ lib/object/create SUBSYS.olb
$ set def 'PTOP'.backend.access.common]
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--]) heaptuple.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--]) indextuple.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--]) indexvalid.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--]) printtup.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--]) scankey.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--]) tupdesc.c 
$ lib/object [-]SUBSYS.OLB *.obj
$!
$! make -C gist    SUBSYS.o
$ set def 'PTOP'.backend.access.gist]
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  gist.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  gistget.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  gistscan.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  giststrat.c 
$ lib/object [-]SUBSYS.OLB *.obj
$!
$! make -C hash    SUBSYS.o
$ set def 'PTOP'.backend.access.hash]
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  hash.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  hashfunc.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  hashinsert.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  hashovfl.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  hashpage.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  hashscan.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  hashsearch.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  hashstrat.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  hashutil.c 
$ lib/object [-]SUBSYS.OLB *.obj
$!
$! make -C heap    SUBSYS.o
$ set def 'PTOP'.backend.access.heap]
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])   heapam.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])   hio.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])   stats.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])   tuptoaster.c 
$ lib/object [-]SUBSYS.OLB *.obj
$!
$! make -C index   SUBSYS.o
$ set def 'PTOP'.backend.access.index]
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])   genam.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])   indexam.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])   istrat.c 
$ lib/object [-]SUBSYS.OLB *.obj
$!
$! make -C rtree   SUBSYS.o
$ set def 'PTOP'.backend.access.rtree]
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])   rtget.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])   rtproc.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])   rtree.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])   rtscan.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])   rtstrat.c 
$ lib/object [-]SUBSYS.OLB *.obj
$!
$! make -C nbtree  SUBSYS.o
$ set def 'PTOP'.backend.access.nbtree]
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])   nbtcompare.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])   nbtinsert.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])   nbtpage.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])   nbtree.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])   nbtscan.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])   nbtsearch.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])   nbtstrat.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])   nbtutils.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])   nbtsort.c 
$ lib/object [-]SUBSYS.OLB *.obj
$!
$! make -C transam SUBSYS.o
$ set def 'PTOP'.backend.access.transam]
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])   transam.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])   transsup.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])   varsup.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])   xact.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])   xid.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])   xlog.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])   rmgr.c 
$ lib/object [-]SUBSYS.OLB *.obj
$!
$! make -C bootstrap all 
$ set def 'PTOP'.backend.bootstrap]
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-]) bootparse.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-]) bootscanner.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-]) bootstrap.c 
$ lib/object/create SUBSYS.OLB *.obj
$!
$! make -C catalog all 
$ set def 'PTOP'.backend.catalog]
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   catalog.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   heap.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   index.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   indexing.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   aclchk.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   pg_aggregate.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   pg_operator.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   pg_proc.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   pg_type.c 
$ lib/object/create SUBSYS.olb *.obj
$!
$!  There are some sh scripts in the catalog directory which at this point
$!  build 
$!
$!    1 global1.bki.source
$!    2 global1.description
$!    3 local1_template1.bki.source
$!    4 local1_template1.description
$!
$!  These seem only to be used by initdb.sh, which needs to be rewritten
$!  into DCL anyway (and note the name changes to eliminate the extra dots!)
$!
$! using these commands:
$!
$! sh  ./genbki.sh  ../../include/catalog/pg_database.h ../../include/catalog/pg_variable.h \
$! ../../include/catalog/pg_shadow.h ../../include/catalog/pg_group.h \
$! ../../include/catalog/pg_log.h > global1.bki.source 2>global1.description
$! sh  ./genbki.sh  ../../include/catalog/pg_proc.h ../../include/catalog/pg_type.h \
$! ../../include/catalog/pg_attribute.h ../../include/catalog/pg_class.h ../../include/catalog/pg_inherits.h \
$! ../../include/catalog/pg_index.h ../../include/catalog/pg_statistic.h ../../include/catalog/pg_operator.h \
$! ../../include/catalog/pg_opclass.h ../../include/catalog/pg_am.h ../../include/catalog/pg_amop.h \
$! ../../include/catalog/pg_amproc.h ../../include/catalog/pg_language.h ../../include/catalog/pg_aggregate.h \
$! ../../include/catalog/pg_ipl.h ../../include/catalog/pg_inheritproc.h \
$! ../../include/catalog/pg_rewrite.h ../../include/catalog/pg_listener.h \
$! ../../include/catalog/pg_description.h \
$! ../../include/catalog/indexing.h > local1_template1.bki.source 2>local1_template1.description
$!
$!  since sh isn't particularly portable the static description files generated on a 
$!  Linux box were copied in here from the VMS pieces.  If anybody wants to 
$!  make this section of the build a lot more portable write a small C 
$!  program to replace the sh scripts!
$!
$!
$! make -C commands all 
$ set def 'PTOP'.backend.commands]
$ dflag :== /define=(_POSIX_C_SOURCE=2,_XOPEN_SOURCE_EXTENDED)
$ write sys$output "work on async!!!"
$! mycc 'cdef_no_xopen' /include=([--.include...],[--.backend...],[-])   async.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   creatinh.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   command.c 
$!
$! make -C .. parse.h
$ set def 'PTOP'.backend]
$ copy [.parser]parse.h []
$ set def 'PTOP'.backend.commands]
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   comment.c 
$ write sys$output "work on copy!!!"
$! mycc 'cdef_no_xopen' /include=([--.include...],[--.backend...],[-])   copy.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   indexcmds.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   define.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   remove.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   rename.c 
$ cdef == dflag - ")" + ",BYPASS_RUSAGE_STRUCT)"
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   vacuum.c 
$ cdef == dflag
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   view.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   cluster.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   explain.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   sequence.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   trigger.c 
$ mycc 'cdef_no_xopen' /include=([--.include...],[--.backend...],[-])   user.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   proclang.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   dbcommands.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   variable.c 
$ lib/object/create SUBSYS.olb *.obj
$!
$! make -C executor all 
$ set def 'PTOP'.backend.executor]
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   execAmi.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   execFlatten.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   execJunk.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   execMain.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   execProcnode.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   execQual.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   execScan.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   execTuples.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   execUtils.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   functions.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   nodeAppend.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   nodeAgg.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   nodeHash.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   nodeHashjoin.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   nodeIndexscan.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   nodeMaterial.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   nodeMergejoin.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   nodeNestloop.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   nodeResult.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   nodeSeqscan.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   nodeSort.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   nodeUnique.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   nodeGroup.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   spi.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   nodeSubplan.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   nodeTidscan.c 
$ lib/object/create SUBSYS.olb *.obj
$!
$! make -C lib all 
$ set def 'PTOP'.backend.lib]
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])    bit.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])    fstack.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])    hasht.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])    lispsort.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])    stringinfo.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])    dllist.c 
$ lib/object/create SUBSYS.olb *.obj
$!
$! make -C libpq all 
$ set def 'PTOP'.backend.libpq]
$ cdef == cdef_no_xopen - ")" + ",FORCE_UINT,FORCE_ULONG)" 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   be-dumpdata.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   be-fsstubs.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   be-pqexec.c 
$ cdef == dflag
$ mycc 'cdef_no_xopen' /include=([--.include...],[--.backend...],[-])   portal.c 
$ mycc 'cdef_no_xopen' /include=([--.include...],[--.backend...],[-])   portalbuf.c 
$ mycc 'cdef_no_xopen' /include=([--.include...],[--.backend...],[-])   auth.c 
$ cdef == cdef_no_xopen - ")" + ",FORCE_USHORT)" 
$ mycc 'cdef_no_xopen' /include=([--.include...],[--.backend...],[-])   hba.c 
$ cdef == dflag
$!  not supported on OpenVMS
$!   mycc 'cdef_no_xopen' /include=([--.include...],[--.backend...],[-])   crypt.c 
$!   mycc 'cdef_no_xopen' /include=([--.include...],[--.backend...],[-])   password.c 
$ write sys$output "redo pqcomm.c, the type of sockets used don't exist on VMS "
$! mycc 'cdef_no_xopen' /include=([--.include...],[--.backend...],[-])   pqcomm.c 
$ myccr /include=([--.include...],[--.backend...],[-])   pqformat.c 
$ myccr /include=([--.include...],[--.backend...],[-])   pqpacket.c 
$ myccr /include=([--.include...],[--.backend...],[-])   pqsignal.c 
$ myccr /include=([--.include...],[--.backend...],[-])   util.c 
$ lib/object/create SUBSYS.olb *.obj
$!
$! make -C main all 
$ set def 'PTOP'.backend.main]
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   main.c 
$ lib/object/create SUBSYS.OLB main.obj
$!
$! make -C parser all 
$ set def 'PTOP'.backend.parser]
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])    analyze.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])    gram.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])    keywords.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])    parser.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])    parse_agg.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])    parse_clause.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])    parse_expr.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])    parse_func.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])    parse_node.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])    parse_oper.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])    parse_relation.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])    parse_type.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])    parse_coerce.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])    parse_target.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])    scan.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])    scansup.c 
$ lib/object/create SUBSYS.olb *.obj
$!
$! make -C nodes all 
$ set def 'PTOP'.backend.nodes]
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   nodeFuncs.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   nodes.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   list.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   copyfuncs.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   equalfuncs.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   freefuncs.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   makefuncs.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   outfuncs.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   readfuncs.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   print.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   read.c 
$ lib/object/create SUBSYS.olb *.obj
$!
$! make -C optimizer all 
$ set def 'PTOP'.backend.optimizer.path]
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  allpaths.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  clausesel.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  costsize.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  indxpath.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  joinpath.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  joinrels.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  orindxpath.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  pathkeys.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  tidpath.c 
$ lib/object/create [-]SUBSYS.olb *.obj
$ set def 'PTOP'.backend.optimizer.plan]
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  createplan.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  initsplan.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  planmain.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  planner.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  setrefs.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  subselect.c 
$ lib/object       [-]SUBSYS.olb *.obj
$ set def 'PTOP'.backend.optimizer.prep]
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  prepqual.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  preptlist.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  prepunion.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  prepkeyset.c 
$ lib/object       [-]SUBSYS.olb *.obj
$ set def 'PTOP'.backend.optimizer.util]
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  restrictinfo.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  clauses.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  indexnode.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  plancat.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  joininfo.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  pathnode.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  relnode.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  tlist.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  var.c 
$ lib/object       [-]SUBSYS.olb *.obj
$ set def 'PTOP'.backend.optimizer.geqo]
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  geqo_copy.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  geqo_eval.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  geqo_main.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  geqo_misc.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  geqo_params.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  geqo_pool.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  geqo_recombination.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  geqo_selection.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  geqo_erx.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  geqo_pmx.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  geqo_cx.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  geqo_px.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  geqo_ox1.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  geqo_ox2.c 
$ lib/object       [-]SUBSYS.olb *.obj
$!
$! make -C port all 
$ set def 'PTOP'.backend.port]
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   getrusage.c 
$ mycc 'cdef_no_xopen' /include=([--.include...],[--.backend...],[-])   snprintf.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   isinf.c 
$ lib/object/create SUBSYS.olb *.obj
$!
$! make -C postmaster all 
$ set def 'PTOP'.backend.postmaster]
$ myccr 'cdef_no_xopen' /include=([--.include...],[--.backend...],[-])   postmaster.c 
$ lib/object/create SUBSYS.olb *.obj
$!
$! make -C regex all 
$ set def 'PTOP'.backend.regex]
$ cdef= dflag - ")" + ",POSIX_MISTAKE)"
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-]) regcomp.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-]) regerror.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-]) regexec.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-]) regfree.c 
$ cdef= dflag
$ lib/object/create SUBSYS.olb *.obj
$!
$! make -C rewrite all 
$ set def 'PTOP'.backend.rewrite]
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   rewriteRemove.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   rewriteDefine.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   rewriteHandler.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   rewriteManip.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   rewriteSupport.c 
$ mycc 'cdef' /include=([--.include...],[--.backend...],[-])   locks.c 
$ lib/object/create SUBSYS.olb *.obj
$!
$! make -C storage all 
$ set def 'PTOP'.backend.storage]
$ lib/object/create SUBSYS.olb
$ set def 'PTOP'.backend.storage.buffer]
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  buf_table.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  buf_init.c 
$ write sys$output "work on bufmgr.c and s_lock.c"
$! mycc 'cdef' /include=([---.include...],[---.backend...],[--])  bufmgr.c 
$! mycc 'cdef' /include=([---.include...],[---.backend...],[--])  s_lock.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  freelist.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  localbuf.c 
$ lib/object    [-]SUBSYS.OLB *.obj
$ set def 'PTOP'.backend.storage.file]
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  fd.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  buffile.c 
$ lib/object    [-]SUBSYS.olb *.obj
$! hopefully we don't need these on OpenVMS, because they don't compile well
$ goto JUMPIPC
$ set def 'PTOP'.backend.storage.ipc]
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  ipc.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  ipci.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  shmem.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  shmqueue.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  sinval.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  sinvaladt.c 
$ mycc 'cdef' /include=([---.include...],[---.backend...],[--])  spin.c 
$ lib/object        [-]SUBSYS.olb *.obj
$ jumpipc:
$ set def 'PTOP'.backend.storage.large_object]
$ myccr /include=([---.include...],[---.backend...],[--])  inv_api.c 
$ lib/object        [-]SUBSYS.olb *.obj
$ set def 'PTOP'.backend.storage.lmgr]
$ myccr /include=([---.include...],[---.backend...],[--])  lmgr.c 
$ myccr /include=([---.include...],[---.backend...],[--])  lock.c 
$ write sys$output "proc.c compiles but won't work as it wants semaphores"
$ myccr /include=([---.include...],[---.backend...],[--])  proc.c 
$ lib/object        [-]SUBSYS.olb *.obj
$ set def 'PTOP'.backend.storage.page]
$ myccr /include=([---.include...],[---.backend...],[--])  bufpage.c 
$ myccr /include=([---.include...],[---.backend...],[--])  itemptr.c 
$ lib/object        [-]SUBSYS.olb *.obj
$ set def 'PTOP'.backend.storage.smgr]
$ myccr /include=([---.include...],[---.backend...],[--])  md.c 
$ myccr /include=([---.include...],[---.backend...],[--])  mm.c 
$ myccr /include=([---.include...],[---.backend...],[--])  smgr.c 
$ myccr /include=([---.include...],[---.backend...],[--])  smgrtype.c 
$ lib/object        [-]SUBSYS.olb *.obj
$!
$! make -C tcop all 
$ set def 'PTOP'.backend.tcop]
$ myccr /include=([--.include...],[--.backend...],[-]) dest.c 
$ myccr /include=([--.include...],[--.backend...],[-]) fastpath.c 
$ myccr /define=BYPASS_RUSAGE_STRUCT/include=([--.include...],[--.backend...],[-]) postgres.c 
$ myccr /include=([--.include...],[--.backend...],[-]) pquery.c 
$ myccr /include=([--.include...],[--.backend...],[-]) utility.c 
$ lib/object/create  SUBSYS.olb *.obj
$!
$! make -C utils all 
$ set def 'PTOP'.backend.utils]
$ lib/object/create    SUBSYS.olb
$ set def 'PTOP'.backend.utils.adt]
$ myccr /include=([---.include...],[---.backend...],[--])  acl.c 
$ myccr /include=([---.include...],[---.backend...],[--])  arrayfuncs.c 
$ myccr /include=([---.include...],[---.backend...],[--])  arrayutils.c 
$ myccr /include=([---.include...],[---.backend...],[--])  bool.c 
$ myccr /include=([---.include...],[---.backend...],[--])  cash.c 
$ myccr /include=([---.include...],[---.backend...],[--])  char.c 
$ myccr /include=([---.include...],[---.backend...],[--])  chunk.c 
$ myccr /include=([---.include...],[---.backend...],[--])  date.c 
$ myccr /include=([---.include...],[---.backend...],[--])  datetime.c 
$ myccr /include=([---.include...],[---.backend...],[--])  datum.c 
$ myccr /include=([---.include...],[---.backend...],[--])  filename.c 
$! part of float.c expands to 0.0 / 0.0 (NAN), that triggers FLOATOVERFL 
$! but is otherwise ok - I think.  Same deal below with "numeric.c"
$ myccr /include=([---.include...],[---.backend...],[--])/warn=(disable=FLOATOVERFL)  float.c 
$ myccr /include=([---.include...],[---.backend...],[--])  geo_ops.c 
$ myccr /include=([---.include...],[---.backend...],[--])  geo_selfuncs.c 
$ myccr /include=([---.include...],[---.backend...],[--])  int.c 
$ myccr /include=([---.include...],[---.backend...],[--])  int8.c 
$ myccr /include=([---.include...],[---.backend...],[--])  like.c 
$ myccr /include=([---.include...],[---.backend...],[--])  lztext.c 
$ myccr /include=([---.include...],[---.backend...],[--])  misc.c 
$ myccr /include=([---.include...],[---.backend...],[--])  nabstime.c 
$ myccr /include=([---.include...],[---.backend...],[--])  name.c 
$ myccr /include=([---.include...],[---.backend...],[--])  not_in.c 
$ myccr /include=([---.include...],[---.backend...],[--])/warn=(disable=FLOATOVERFL)  numeric.c 
$ myccr /include=([---.include...],[---.backend...],[--])  numutils.c 
$ myccr /include=([---.include...],[---.backend...],[--])  oid.c 
$ myccr /include=([---.include...],[---.backend...],[--])  oracle_compat.c 
$ myccr /include=([---.include...],[---.backend...],[--])  regexp.c 
$ myccr /include=([---.include...],[---.backend...],[--])  regproc.c 
$ myccr /include=([---.include...],[---.backend...],[--])  ruleutils.c 
$ myccr /include=([---.include...],[---.backend...],[--])  selfuncs.c 
$ myccr /include=([---.include...],[---.backend...],[--])  sets.c 
$ myccr /include=([---.include...],[---.backend...],[--])  tid.c 
$ myccr /include=([---.include...],[---.backend...],[--])  timestamp.c 
$ myccr /include=([---.include...],[---.backend...],[--])  varbit.c 
$ myccr /include=([---.include...],[---.backend...],[--])  varchar.c 
$ myccr /include=([---.include...],[---.backend...],[--])  varlena.c 
$ myccr /include=([---.include...],[---.backend...],[--])  version.c 
$ myccr /include=([---.include...],[---.backend...],[--])  network.c 
$ myccr /include=([---.include...],[---.backend...],[--])  mac.c 
$ myccr /include=([---.include...],[---.backend...],[--])  inet_net_ntop.c 
$ myccr /include=([---.include...],[---.backend...],[--])  inet_net_pton.c 
$ myccr /include=([---.include...],[---.backend...],[--])  ri_triggers.c 
$ myccr /include=([---.include...],[---.backend...],[--])  pg_lzcompress.c 
$ myccr /include=([---.include...],[---.backend...],[--])  pg_locale.c 
$ myccr /include=([---.include...],[---.backend...],[--])  formatting.c 
$ lib/object       [-]SUBSYS.olb *.obj
$ set def 'PTOP'.backend.utils.cache]
$ myccr /include=([---.include...],[---.backend...],[--])  catcache.c 
$ write sys$output "inval.c is required and needs a LOT of work!"
$! myccr /include=([---.include...],[---.backend...],[--])  inval.c 
$ myccr /include=([---.include...],[---.backend...],[--])  rel.c 
$ myccr /include=([---.include...],[---.backend...],[--])  relcache.c 
$ myccr /include=([---.include...],[---.backend...],[--])  syscache.c 
$ myccr /include=([---.include...],[---.backend...],[--])  lsyscache.c 
$ myccr /include=([---.include...],[---.backend...],[--])  fcache.c 
$ myccr /include=([---.include...],[---.backend...],[--])  temprel.c 
$ lib/object       [-]SUBSYS.olb *.obj
$ set def 'PTOP'.backend.utils.error]
$ myccr /include=([---.include...],[---.backend...],[--])  assert.c 
$ myccr /include=([---.include...],[---.backend...],[--])  elog.c 
$ myccr /include=([---.include...],[---.backend...],[--])  exc.c 
$ myccr /include=([---.include...],[---.backend...],[--])  excabort.c 
$ myccr /include=([---.include...],[---.backend...],[--])  excid.c 
$ myccr /include=([---.include...],[---.backend...],[--])  format.c 
$ lib/object       [-]SUBSYS.olb *.obj
$ set def 'PTOP'.backend.utils.fmgr]
$ myccr /include=([---.include...],[---.backend...],[--])  dfmgr.c 
$ myccr /include=([---.include...],[---.backend...],[--])  fmgr.c 
$ lib/object       [-]SUBSYS.olb *.obj
$ set def 'PTOP'.backend.utils.hash]
$ myccr /include=([---.include...],[---.backend...],[--])  dynahash.c 
$ myccr /include=([---.include...],[---.backend...],[--])  hashfn.c 
$ lib/object       [-]SUBSYS.olb *.obj
$ set def 'PTOP'.backend.utils.init]
$ myccr /include=([---.include...],[---.backend...],[--])  enbl.c 
$ write sys$output "findbe.c does unix specific things like getgrgid - it needs a minor rewrite"
$! myccr /include=([---.include...],[---.backend...],[--])  findbe.c 
$ myccr /include=([---.include...],[---.backend...],[--])  globals.c 
$ myccr /include=([---.include...],[---.backend...],[--])  miscinit.c 
$ myccr /include=([---.include...],[---.backend...],[--])  postinit.c 
$ lib/object       [-]SUBSYS.olb *.obj
$ set def 'PTOP'.backend.utils.misc]
$ myccr /include=([---.include...],[---.backend...],[--])  database.c 
$ myccr /include=([---.include...],[---.backend...],[--])  superuser.c 
$ myccr /include=([---.include...],[---.backend...],[--])  trace.c 
$ lib/object       [-]SUBSYS.olb *.obj
$ set def 'PTOP'.backend.utils.mmgr]
$ myccr /include=([---.include...],[---.backend...],[--])  aset.c 
$ myccr /include=([---.include...],[---.backend...],[--])  mcxt.c 
$ myccr /include=([---.include...],[---.backend...],[--])  palloc.c 
$ myccr /include=([---.include...],[---.backend...],[--])  portalmem.c 
$ myccr /include=([---.include...],[---.backend...],[--])  oset.c 
$ lib/object       [-]SUBSYS.olb *.obj
$ set def 'PTOP'.backend.utils.sort]
$ myccr /include=([---.include...],[---.backend...],[--])  logtape.c 
$ myccr /include=([---.include...],[---.backend...],[--])  tuplesort.c 
$ lib/object       [-]SUBSYS.olb *.obj
$ set def 'PTOP'.backend.utils.time]
$ myccr /include=([---.include...],[---.backend...],[--])  tqual.c 
$ lib/object       [-]SUBSYS.olb *.obj
$ set def 'PTOP'.backend.utils]
$ myccr /include=([--.include...],[--.backend...],[-])    fmgrtab.c 
$ lib/object       SUBSYS.olb *.obj
$ set def 'PTOP'.backend]
$ link/exe=postgres [.access]SUBSYS.olb/lib, -
  [.bootstrap]SUBSYS.OLB/lib,-
  [.catalog]SUBSYS.OLB/lib,-
  [.commands]SUBSYS.OLB/lib,-
  [.executor]SUBSYS.OLB/lib,-
  [.lib]SUBSYS.OLB/lib,-
  [.libpq]SUBSYS.OLB/lib,-
  [.main]SUBSYS.OLB/lib,-
  [.parser]SUBSYS.OLB/lib,-
  [.nodes]SUBSYS.OLB/lib,-
  [.optimizer]SUBSYS.OLB/lib,-
  [.port]SUBSYS.OLB/lib,-
  [.postmaster]SUBSYS.OLB/lib,-
  [.regex]SUBSYS.OLB/lib,-
  [.rewrite]SUBSYS.OLB/lib,-
  [.storage]SUBSYS.OLB/lib,-
  [.tcop]SUBSYS.OLB/lib,-
  [.utils]SUBSYS.OLB/lib,-
  [-.utils]version.obj
$ copy [.catalog]global1_bki.source           []
$ copy [.catalog]local1_template1_bki.source  []
$ copy [.catalog]global1.description          []
$ copy [.catalog]local1_template1.description []
$!
$! make -C interfaces all
$ set def 'PTOP'.interfaces]
$!
$! make -C libpq all
$ write sys$output " [.interfaces.libpq] has numerous Unix specific bits - it needs work before it can be compiled "
$ goto hop_no_libpq
$ set def 'PTOP'.interfaces.libpq]
$ cdef == dflag - ")" + ",FRONTEND)"
$ myccr /include=([--.include...],[--.backend...])    fe-auth.c 
$ myccr /include=([--.include...],[--.backend...])    fe-connect.c 
$ myccr /include=([--.include...],[--.backend...])    fe-exec.c 
$ myccr /include=([--.include...],[--.backend...])    fe-misc.c 
$ myccr /include=([--.include...],[--.backend...])    fe-print.c 
$ myccr /include=([--.include...],[--.backend...])    fe-lobj.c 
$ myccr /include=([--.include...],[--.backend...])    pqexpbuffer.c 
$ copy [--.backend.lib]dllist.c []
$ myccr /include=([--.include...],[--.backend...])    dllist.c 
$ myccr /include=([--.include...],[--.backend...])    pqsignal.c 
$ cdef == dflag
$ lib/object/create libpq.olb *.obj
$ @'here'makeshared libpq
$!
$! make -C ecpg all
$ hop_no_libpq:
$ set def 'PTOP'.interfaces.ecpg]
$!
$! make -C lib all
$ set def 'PTOP'.interfaces.ecpg.lib]
$ myccr /include=([---.include...],[---.backend...],[-.include...],[---.interfaces.libpq])     execute.c 
$ myccr /include=([---.include...],[---.backend...],[-.include...],[---.interfaces.libpq])     typename.c 
$ myccr /include=([---.include...],[---.backend...],[-.include...],[---.interfaces.libpq])     descriptor.c 
$ myccr /include=([---.include...],[---.backend...],[-.include...],[---.interfaces.libpq])     data.c 
$ myccr /include=([---.include...],[---.backend...],[-.include...],[---.interfaces.libpq])     error.c 
$ myccr /include=([---.include...],[---.backend...],[-.include...],[---.interfaces.libpq])     prepare.c 
$ myccr /include=([---.include...],[---.backend...],[-.include...],[---.interfaces.libpq])     memory.c 
$ myccr /include=([---.include...],[---.backend...],[-.include...],[---.interfaces.libpq])     connect.c 
$ myccr /include=([---.include...],[---.backend...],[-.include...],[---.interfaces.libpq])     misc.c 
$ lib/object/create libecpg.olb *.obj
$ @'here'makeshared libecpg
$!
$! make -C preproc all
$ set def 'PTOP'.interfaces.ecpg.preproc]
$ myccr /include=([---.include...],[---.backend...],[-.include...])/define=(MAJOR_VERSION=2,MINOR_VERSION=7,PATCHLEVEL=1)   preproc.c 
$ myccr /include=([---.include...],[---.backend...],[-.include...])/define=(MAJOR_VERSION=2,MINOR_VERSION=7,PATCHLEVEL=1)   pgc.c 
$ myccr /include=([---.include...],[---.backend...],[-.include...])/define=(MAJOR_VERSION=2,MINOR_VERSION=7,PATCHLEVEL=1)   type.c 
$ myccr /include=([---.include...],[---.backend...],[-.include...])/define=(MAJOR_VERSION=2,MINOR_VERSION=7,PATCHLEVEL=1)   ecpg.c 
$ myccr /include=([---.include...],[---.backend...],[-.include...])/define=(MAJOR_VERSION=2,MINOR_VERSION=7,PATCHLEVEL=1)   ecpg_keywords.c 
$ myccr /include=([---.include...],[---.backend...],[-.include...])/define=(MAJOR_VERSION=2,MINOR_VERSION=7,PATCHLEVEL=1)   output.c 
$ myccr /include=([---.include...],[---.backend...],[-.include...])/define=(MAJOR_VERSION=2,MINOR_VERSION=7,PATCHLEVEL=1)   keywords.c 
$ myccr /include=([---.include...],[---.backend...],[-.include...])/define=(MAJOR_VERSION=2,MINOR_VERSION=7,PATCHLEVEL=1)   c_keywords.c 
$ myccr /include=([---.include...],[---.backend...],[-.include...])/define=(MAJOR_VERSION=2,MINOR_VERSION=7,PATCHLEVEL=1)   descriptor.c 
$ myccr /include=([---.include...],[---.backend...],[-.include...])/define=(MAJOR_VERSION=2,MINOR_VERSION=7,PATCHLEVEL=1)   variable.c 
$ link/exe=ecpg preproc.obj, -
  pgc.obj, -
  type.obj, -
  ecpg.obj, -
  ecpg_keywords.obj, -
  output.obj, -
  keywords.obj, -
  c_keywords.obj, -
  [-.lib]typename.obj, -
  descriptor.obj, -
  variable.obj
$!
$! make -C libpq++ all
$ set def 'PTOP'.interfaces.libpqxx]
$ mycxx /include=([--.backend...],[--.include...], [--.interfaces.libpq])   pgconnection.cc 
$ mycxx /include=([--.backend...],[--.include...], [--.interfaces.libpq])   pgdatabase.cc 
$ mycxx /include=([--.backend...],[--.include...], [--.interfaces.libpq])   pgtransdb.cc 
$ mycxx /include=([--.backend...],[--.include...], [--.interfaces.libpq])   pgcursordb.cc 
$ mycxx /include=([--.backend...],[--.include...], [--.interfaces.libpq])   pglobject.cc 
$ lib/object/create libpqxx.olb *.obj
$ @'here'makeshared libpqxx
$!
$! make -C libpgeasy all
$ set def 'PTOP'.interfaces.libpgeasy]
$ myccr /include=([--.include...],[--.backend...],[--.interfaces.libpq])   libpgeasy.c 
$ myccr /include=([--.include...],[--.backend...],[--.interfaces.libpq])   halt.c 
$ lib/object/create libpgeasy.olb *.obj
$ @'here'makeshared libpgeasy
$!
$! make -C odbc all
$ write sys$output "I didn't try building the ODBC bits"
$ goto hop_no_odbc
$ set def 'PTOP'.interfaces.odbc]
$ cdef == dflag - ")" + ",HAVE_CONFIG_H)"
$ myccr /include=([--.include...],[--.backend...],[]) info.c 
$ myccr /include=([--.include...],[--.backend...],[]) bind.c 
$ myccr /include=([--.include...],[--.backend...],[]) columninfo.c 
$ myccr /include=([--.include...],[--.backend...],[]) connection.c 
$ myccr /include=([--.include...],[--.backend...],[]) convert.c 
$ myccr /include=([--.include...],[--.backend...],[]) drvconn.c 
$ myccr /include=([--.include...],[--.backend...],[]) environ.c 
$ myccr /include=([--.include...],[--.backend...],[]) execute.c 
$ myccr /include=([--.include...],[--.backend...],[]) lobj.c 
$ myccr /include=([--.include...],[--.backend...],[]) misc.c 
$ myccr /include=([--.include...],[--.backend...],[]) options.c 
$ myccr /include=([--.include...],[--.backend...],[]) pgtypes.c 
$ myccr /include=([--.include...],[--.backend...],[]) psqlodbc.c 
$ myccr /include=([--.include...],[--.backend...],[]) qresult.c 
$ myccr /include=([--.include...],[--.backend...],[]) results.c 
$ myccr /include=([--.include...],[--.backend...],[]) socket.c 
$ myccr /include=([--.include...],[--.backend...],[]) parse.c 
$ myccr /include=([--.include...],[--.backend...],[]) statement.c 
$ myccr /include=([--.include...],[--.backend...],[]) gpps.c 
$ myccr /include=([--.include...],[--.backend...],[]) tuple.c 
$ myccr /include=([--.include...],[--.backend...],[]) tuplelist.c 
$ myccr /include=([--.include...],[--.backend...],[]) dlg_specific.c 
$ cdef == dflag
$ lib/object/create libpsqlodbc.olb *.obj
$ @'here'makeshared libpsqlodbc
$!
$! make -C bin all
$ hop_no_odbc:
$ set def 'PTOP'.bin]
$! make -C $i all; done
$ set def 'PTOP'.bin.pg_id]
$ myccr /include=([--.include...],[--.backend...])  pg_id.c 
$ link/exe=pg_id pg_id.obj
$ set def 'PTOP'.bin.pg_version]
$ myccr /include=([--.include...],[--.backend...])  pg_version.c 
$ goto hop_no_nolinkpgversion
$ link/exe=pg_version pg_version.obj, -
   [--.utils]version.obj
$ hop_no_nolinkpgversion:
$ set def 'PTOP'.bin.psql]
$ myccr /include=([--.include...],[--.backend...],[--.interfaces.libpq])  command.c 
$ myccr /include=([--.include...],[--.backend...],[--.interfaces.libpq])  common.c 
$ myccr /include=([--.include...],[--.backend...],[--.interfaces.libpq])  help.c 
$ myccr /include=([--.include...],[--.backend...],[--.interfaces.libpq])  input.c 
$ myccr /include=([--.include...],[--.backend...],[--.interfaces.libpq])  stringutils.c 
$ myccr /include=([--.include...],[--.backend...],[--.interfaces.libpq])  mainloop.c 
$ myccr /include=([--.include...],[--.backend...],[--.interfaces.libpq])  copy.c 
$ myccr /include=([--.include...],[--.backend...],[--.interfaces.libpq])  startup.c 
$ myccr /include=([--.include...],[--.backend...],[--.interfaces.libpq])  prompt.c 
$ myccr /include=([--.include...],[--.backend...],[--.interfaces.libpq])  variables.c 
$ myccr /include=([--.include...],[--.backend...],[--.interfaces.libpq])  large_obj.c 
$ myccr /include=([--.include...],[--.backend...],[--.interfaces.libpq])  print.c 
$ myccr /include=([--.include...],[--.backend...],[--.interfaces.libpq])  describe.c 
$ myccr /include=([--.include...],[--.backend...],[--.interfaces.libpq])  tab-complete.c 
$ lib/object/create psql.olb *.obj
$ goto hop_nolink_psql
$ link/exe=psql psql/lib, [--.interfaces]libpq/lib
$ hop_nolink_psql:
$ set def 'PTOP'.bin.pg_dump]
$ myccr /include=([--.include...],[--.backend...],[--.interfaces.libpq])  pg_dump.c 
$ myccr /include=([--.include...],[--.backend...],[--.interfaces.libpq])  common.c 
$!
$ write sys$output "END of tested section of make_vms.com"
$!
$ EXIT
$ link/exe=pg_dump pg_dump.obj, -
   common.obj, -
   [-.interfaces]libpq.olb/lib
$ set def 'PTOP'.bin.pg_passwd]
$ myccr /include=([--.include...],[--.backend...],  pg_passwd.c 
$ link/exe=pg_passwd pg_passwd.obj
$ set def 'PTOP'.bin.scripts]
$ pipe sed "-e" "s/__DLSUFFIX__/.so/" createlang.sh > createlang
$ set def 'PTOP'.bin.initdb]
$ pipe sed "-e" "s/__MULTIBYTE__//g" < initdb.sh > initdb
$ set def 'PTOP'.bin.initlocation'
$! cp -p initlocation.sh initlocation
$ set def 'PTOP'.bin.ipcclean]
$! cp  ipcclean.sh ipcclean
$ set def 'PTOP'.bin.pg_ctl]
$! cat pg_ctl.sh > pg_ctl
$!
$! make -C pl all
$ set def 'PTOP'.pl]
$!
$! make -C plpgsql all
$ set def 'PTOP'.pl.plpgsql]
$!
$! make -C src all
$ set def 'PTOP'.pl/plpgsql/src]
$ myccr /include=([---.include...],[---.backend...] pl_gram.c
$ myccr /include=([---.include...],[---.backend...] pl_handler.c 
$ myccr /include=([---.include...],[---.backend...] pl_comp.c 
$ myccr /include=([---.include...],[---.backend...] pl_exec.c 
$ myccr /include=([---.include...],[---.backend...] pl_funcs.c 
$ lib/object/create libplsql.olb *.obj
$ @'here'makeshared libplsql
$!
$ write sys$Output "All of PostgreSQL is successfully made. Ready to install."
$ exit
$!****************** install bits follow 

./mkinstalldirs /usr/local/pgsql/bin /usr/local/pgsql/lib 
$!
$! make -C utils install
$ set def 'PTOP'.utils]
make[1]: Nothing to be done for `install'.
make[1]: Leaving directory `/home/programs/postgresql-7.0.2/src/utils'
$!
$! make -C backend install
$ set def 'PTOP'.backend'
mkdir /usr/local/pgsql/lib
mkdir /usr/local/pgsql/bin
mkdir /usr/local/pgsql/include
$!
$! make -C access all 
$ set def 'PTOP'.backend.access]
$!
$! make -C common  SUBSYS.o
$ set def 'PTOP'.backend.access/common'
make[3]: `SUBSYS.o' is up to date.
make[3]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/access/common'
$!
$! make -C gist    SUBSYS.o
$ set def 'PTOP'.backend/access/gist'
make[3]: `SUBSYS.o' is up to date.
make[3]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/access/gist'
$!
$! make -C hash    SUBSYS.o
$ set def 'PTOP'.backend/access/hash'
make[3]: `SUBSYS.o' is up to date.
make[3]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/access/hash'
$!
$! make -C heap    SUBSYS.o
$ set def 'PTOP'.backend/access/heap'
make[3]: `SUBSYS.o' is up to date.
make[3]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/access/heap'
$!
$! make -C index   SUBSYS.o
$ set def 'PTOP'.backend/access/index'
make[3]: `SUBSYS.o' is up to date.
make[3]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/access/index'
$!
$! make -C rtree   SUBSYS.o
$ set def 'PTOP'.backend/access/rtree'
make[3]: `SUBSYS.o' is up to date.
make[3]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/access/rtree'
$!
$! make -C nbtree  SUBSYS.o
$ set def 'PTOP'.backend/access/nbtree'
make[3]: `SUBSYS.o' is up to date.
make[3]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/access/nbtree'
$!
$! make -C transam SUBSYS.o
$ set def 'PTOP'.backend/access/transam'
make[3]: `SUBSYS.o' is up to date.
make[3]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/access/transam'
make[2]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/access'
$!
$! make -C bootstrap all 
$ set def 'PTOP'.backend/bootstrap'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/bootstrap'
$!
$! make -C catalog all 
$ set def 'PTOP'.backend/catalog'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/catalog'
$!
$! make -C commands all 
$ set def 'PTOP'.backend/commands'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/commands'
$!
$! make -C executor all 
$ set def 'PTOP'.backend/executor'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/executor'
$!
$! make -C lib all 
$ set def 'PTOP'.backend/lib'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/lib'
$!
$! make -C libpq all 
$ set def 'PTOP'.backend.libpq'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/libpq'
$!
$! make -C main all 
$ set def 'PTOP'.backend/main'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/main'
$!
$! make -C parser all 
$ set def 'PTOP'.backend/parser'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/parser'
$!
$! make -C nodes all 
$ set def 'PTOP'.backend/nodes'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/nodes'
$!
$! make -C optimizer all 
$ set def 'PTOP'.backend/optimizer'
for i in path plan prep util geqo; do $!
$! make -C $i SUBSYS.o; done
$ set def 'PTOP'.backend/optimizer/path'
make[3]: `SUBSYS.o' is up to date.
make[3]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/optimizer/path'
$ set def 'PTOP'.backend/optimizer/plan'
make[3]: `SUBSYS.o' is up to date.
make[3]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/optimizer/plan'
$ set def 'PTOP'.backend/optimizer/prep'
make[3]: `SUBSYS.o' is up to date.
make[3]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/optimizer/prep'
$ set def 'PTOP'.backend/optimizer/util'
make[3]: `SUBSYS.o' is up to date.
make[3]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/optimizer/util'
$ set def 'PTOP'.backend/optimizer/geqo'
make[3]: `SUBSYS.o' is up to date.
make[3]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/optimizer/geqo'
make[2]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/optimizer'
$!
$! make -C port all 
$ set def 'PTOP'.backend/port'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/port'
$!
$! make -C postmaster all 
$ set def 'PTOP'.backend/postmaster'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/postmaster'
$!
$! make -C regex all 
$ set def 'PTOP'.backend/regex'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/regex'
$!
$! make -C rewrite all 
$ set def 'PTOP'.backend/rewrite'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/rewrite'
$!
$! make -C storage all 
$ set def 'PTOP'.backend.storage]
for i in buffer file ipc large_object lmgr page smgr; do $!
$! make -C $i SUBSYS.o; done
$ set def 'PTOP'.backend/storage/buffer'
make[3]: `SUBSYS.o' is up to date.
make[3]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/storage/buffer'
$ set def 'PTOP'.backend/storage/file'
make[3]: `SUBSYS.o' is up to date.
make[3]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/storage/file'
$ set def 'PTOP'.backend/storage/ipc'
make[3]: `SUBSYS.o' is up to date.
make[3]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/storage/ipc'
$ set def 'PTOP'.backend/storage/large_object'
make[3]: `SUBSYS.o' is up to date.
make[3]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/storage/large_object'
$ set def 'PTOP'.backend/storage/lmgr'
make[3]: `SUBSYS.o' is up to date.
make[3]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/storage/lmgr'
$ set def 'PTOP'.backend/storage/page'
make[3]: `SUBSYS.o' is up to date.
make[3]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/storage/page'
$ set def 'PTOP'.backend/storage/smgr'
make[3]: `SUBSYS.o' is up to date.
make[3]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/storage/smgr'
make[2]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/storage'
$!
$! make -C tcop all 
$ set def 'PTOP'.backend/tcop'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/tcop'
$!
$! make -C utils all 
$ set def 'PTOP'.backend/utils'
for i in adt cache error fmgr hash init misc mmgr sort time; do $!
$! make -C $i SUBSYS.o; done
$ set def 'PTOP'.backend/utils/adt'
make[3]: `SUBSYS.o' is up to date.
make[3]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/utils/adt'
$ set def 'PTOP'.backend/utils/cache'
make[3]: `SUBSYS.o' is up to date.
make[3]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/utils/cache'
$ set def 'PTOP'.backend/utils/error'
make[3]: `SUBSYS.o' is up to date.
make[3]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/utils/error'
$ set def 'PTOP'.backend/utils/fmgr'
make[3]: `SUBSYS.o' is up to date.
make[3]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/utils/fmgr'
$ set def 'PTOP'.backend/utils/hash'
make[3]: `SUBSYS.o' is up to date.
make[3]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/utils/hash'
$ set def 'PTOP'.backend/utils/init'
make[3]: `SUBSYS.o' is up to date.
make[3]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/utils/init'
$ set def 'PTOP'.backend/utils/misc'
make[3]: `SUBSYS.o' is up to date.
make[3]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/utils/misc'
$ set def 'PTOP'.backend/utils/mmgr'
make[3]: `SUBSYS.o' is up to date.
make[3]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/utils/mmgr'
$ set def 'PTOP'.backend/utils/sort'
make[3]: `SUBSYS.o' is up to date.
make[3]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/utils/sort'
$ set def 'PTOP'.backend/utils/time'
make[3]: `SUBSYS.o' is up to date.
make[3]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/utils/time'
make[2]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend/utils'
/usr/bin/install -c -m 555 postgres /usr/local/pgsql/bin/postgres
rm -f /usr/local/pgsql/bin/postmaster
ln -s postgres /usr/local/pgsql/bin/postmaster
/usr/bin/install -c -m 444 global1.bki.source \
  /usr/local/pgsql/lib/global1.bki.source
/usr/bin/install -c -m 444 global1.description \
  /usr/local/pgsql/lib/global1.description
/usr/bin/install -c -m 444 local1_template1.bki.source \
  /usr/local/pgsql/lib/local1_template1.bki.source
/usr/bin/install -c -m 444 local1_template1.description \
  /usr/local/pgsql/lib/local1_template1.description
/usr/bin/install -c -m 444 libpq/pg_hba.conf.sample \
  /usr/local/pgsql/lib/pg_hba.conf.sample
/usr/bin/install -c -m 444 libpq/pg_ident.conf.sample \
  /usr/local/pgsql/lib/pg_ident.conf.sample
/usr/bin/install -c -m 444 optimizer/geqo/pg_geqo.sample \
  /usr/local/pgsql/lib/pg_geqo.sample
/usr/bin/install -c -m 444 pg_options.sample \
  /usr/local/pgsql/lib/pg_options.sample
if [ ! -d /usr/local/pgsql/include ]; then mkdir /usr/local/pgsql/include; fi
if [ ! -d /usr/local/pgsql/include/port ]; then mkdir /usr/local/pgsql/include/port; fi
if [ ! -d /usr/local/pgsql/include/port/linux ]; \
	then mkdir /usr/local/pgsql/include/port/linux; fi
if [ ! -d /usr/local/pgsql/include/lib ]; \
	then mkdir /usr/local/pgsql/include/lib; fi
if [ ! -d /usr/local/pgsql/include/libpq ]; \
	then mkdir /usr/local/pgsql/include/libpq; fi
if [ ! -d /usr/local/pgsql/include/utils ]; \
	then mkdir /usr/local/pgsql/include/utils; fi
if [ ! -d /usr/local/pgsql/include/access ]; \
	then mkdir /usr/local/pgsql/include/access; fi
if [ ! -d /usr/local/pgsql/include/executor ]; \
	then mkdir /usr/local/pgsql/include/executor; fi
if [ ! -d /usr/local/pgsql/include/commands ]; \
	then mkdir /usr/local/pgsql/include/commands; fi
/usr/bin/install -c -m 444 fmgr.h \
          /usr/local/pgsql/include/fmgr.h
/usr/bin/install -c -m 444 ../include/os.h \
          /usr/local/pgsql/include/os.h
/usr/bin/install -c -m 444 ../include/config.h \
          /usr/local/pgsql/include/config.h
/usr/bin/install -c -m 444 ../include/c.h \
          /usr/local/pgsql/include/c.h
/usr/bin/install -c -m 444 ../include/postgres.h \
          /usr/local/pgsql/include/postgres.h
/usr/bin/install -c -m 444 ../include/postgres_ext.h \
          /usr/local/pgsql/include/postgres_ext.h
/usr/bin/install -c -m 444 ../include/libpq/pqcomm.h \
          /usr/local/pgsql/include/libpq/pqcomm.h
/usr/bin/install -c -m 444 ../include/libpq/libpq-fs.h \
          /usr/local/pgsql/include/libpq/libpq-fs.h
/usr/bin/install -c -m 444 ../include/lib/dllist.h \
          /usr/local/pgsql/include/lib/dllist.h
/usr/bin/install -c -m 444 ../include/utils/geo_decls.h \
          /usr/local/pgsql/include/utils/geo_decls.h
/usr/bin/install -c -m 444 ../include/utils/elog.h \
          /usr/local/pgsql/include/utils/elog.h
/usr/bin/install -c -m 444 ../include/utils/palloc.h \
          /usr/local/pgsql/include/utils/palloc.h
/usr/bin/install -c -m 444 ../include/utils/mcxt.h \
          /usr/local/pgsql/include/utils/mcxt.h
/usr/bin/install -c -m 444 ../include/access/attnum.h \
          /usr/local/pgsql/include/access/attnum.h
/usr/bin/install -c -m 444 ../include/executor/spi.h \
          /usr/local/pgsql/include/executor/spi.h
/usr/bin/install -c -m 444 ../include/commands/trigger.h \
          /usr/local/pgsql/include/commands/trigger.h
make[1]: Leaving directory `/home/programs/postgresql-7.0.2/src/backend'
$!
$! make -C interfaces install
$ set def 'PTOP'.interfaces'
$!
$! make -C libpq install
$ set def 'PTOP'.interfaces.libpq]
if [ ! -d /usr/local/pgsql/include ]; then mkdir /usr/local/pgsql/include; fi
/usr/bin/install -c -m 444 libpq-fe.h /usr/local/pgsql/include/libpq-fe.h
/usr/bin/install -c -m 444 libpq-int.h /usr/local/pgsql/include/libpq-int.h
/usr/bin/install -c -m 444 pqexpbuffer.h /usr/local/pgsql/include/pqexpbuffer.h
/usr/bin/install -c -m 644 libpq.a /usr/local/pgsql/lib/libpq.a
/usr/bin/install -c -m 644 libpq.so.2.1 /usr/local/pgsql/lib/libpq.so.2.1
if [ "libpq.so.2.1" != "libpq.so.2" ]; then \
	cd /usr/local/pgsql/lib; \
	rm -f libpq.so.2; \
	ln -s libpq.so.2.1 libpq.so.2; \
fi
if [ "libpq.so.2.1" != "libpq.so" ]; then \
	cd /usr/local/pgsql/lib; \
	rm -f libpq.so; \
	ln -s libpq.so.2.1 libpq.so; \
fi
make[2]: Leaving directory `/home/programs/postgresql-7.0.2/src/interfaces/libpq'
$!
$! make -C ecpg install
$ set def 'PTOP'.interfaces/ecpg'
$!
$! make -C include install
$ set def 'PTOP'.interfaces.ecpg.include'
/usr/bin/install -c -m 444 ecpgerrno.h /usr/local/pgsql/include	
/usr/bin/install -c -m 444 ecpglib.h /usr/local/pgsql/include	
/usr/bin/install -c -m 444 ecpgtype.h /usr/local/pgsql/include	
/usr/bin/install -c -m 444 sqlca.h /usr/local/pgsql/include	
/usr/bin/install -c -m 444 sql3types.h /usr/local/pgsql/include	
make[3]: Leaving directory `/home/programs/postgresql-7.0.2/src/interfaces/ecpg/include'
$!
$! make -C lib install
$ set def 'PTOP'.interfaces.ecpg.lib'
/usr/bin/install -c -m 644 libecpg.a /usr/local/pgsql/lib/libecpg.a
/usr/bin/install -c -m 644 libecpg.so.3.1.1 /usr/local/pgsql/lib/libecpg.so.3.1.1
if [ "libecpg.so.3.1.1" != "libecpg.so.3" ]; then \
	cd /usr/local/pgsql/lib; \
	rm -f libecpg.so.3; \
	ln -s libecpg.so.3.1.1 libecpg.so.3; \
fi
if [ "libecpg.so.3.1.1" != "libecpg.so" ]; then \
	cd /usr/local/pgsql/lib; \
	rm -f libecpg.so; \
	ln -s libecpg.so.3.1.1 libecpg.so; \
fi
make[3]: Leaving directory `/home/programs/postgresql-7.0.2/src/interfaces/ecpg/lib'
$!
$! make -C preproc install
$ set def 'PTOP'.interfaces.ecpg.preproc'
/usr/bin/install -c -m 555 ecpg /usr/local/pgsql/bin
make[3]: Leaving directory `/home/programs/postgresql-7.0.2/src/interfaces/ecpg/preproc'
make[2]: Leaving directory `/home/programs/postgresql-7.0.2/src/interfaces/ecpg'
$!
$! make -C libpq++ install
$ set def 'PTOP'.interfaces/libpq++'
if [ ! -d /usr/local/pgsql/include ]; then mkdir /usr/local/pgsql/include; fi
if [ ! -d /usr/local/pgsql/include/libpq++ ]; then mkdir /usr/local/pgsql/include/libpq++; fi
/usr/bin/install -c -m 444 libpq++.h /usr/local/pgsql/include/libpq++.h
for i in pgconnection.h pgdatabase.h pgtransdb.h pgcursordb.h pglobject.h; do \
	echo "Installing /usr/local/pgsql/include/libpq++/$i."; \
	/usr/bin/install -c -m 444 $i /usr/local/pgsql/include/libpq++/$i; \
done
/usr/bin/install -c -m 644 libpq++.a /usr/local/pgsql/lib/libpq++.a
/usr/bin/install -c -m 644 libpq++.so.3.1 /usr/local/pgsql/lib/libpq++.so.3.1
if [ "libpq++.so.3.1" != "libpq++.so.3" ]; then \
	cd /usr/local/pgsql/lib; \
	rm -f libpq++.so.3; \
	ln -s libpq++.so.3.1 libpq++.so.3; \
fi
if [ "libpq++.so.3.1" != "libpq++.so" ]; then \
	cd /usr/local/pgsql/lib; \
	rm -f libpq++.so; \
	ln -s libpq++.so.3.1 libpq++.so; \
fi
make[2]: Leaving directory `/home/programs/postgresql-7.0.2/src/interfaces/libpq++'
$!
$! make -C libpgeasy install
$ set def 'PTOP'.interfaces/libpgeasy'
if [ ! -d /usr/local/pgsql/include ]; then mkdir /usr/local/pgsql/include; fi
/usr/bin/install -c -m 444 libpgeasy.h /usr/local/pgsql/include/libpgeasy.h
/usr/bin/install -c -m 644 libpgeasy.a /usr/local/pgsql/lib/libpgeasy.a
/usr/bin/install -c -m 644 libpgeasy.so.2.1 /usr/local/pgsql/lib/libpgeasy.so.2.1
if [ "libpgeasy.so.2.1" != "libpgeasy.so.2" ]; then \
	cd /usr/local/pgsql/lib; \
	rm -f libpgeasy.so.2; \
	ln -s libpgeasy.so.2.1 libpgeasy.so.2; \
fi
if [ "libpgeasy.so.2.1" != "libpgeasy.so" ]; then \
	cd /usr/local/pgsql/lib; \
	rm -f libpgeasy.so; \
	ln -s libpgeasy.so.2.1 libpgeasy.so; \
fi
make[2]: Leaving directory `/home/programs/postgresql-7.0.2/src/interfaces/libpgeasy'
$!
$! make -C odbc install
$ set def 'PTOP'.interfaces/odbc'
mkdir -p /usr/local/pgsql/include
mkdir -p /usr/local/pgsql/lib
mkdir -p /usr/local/pgsql
if [ ! -d /usr/local/pgsql/include/iodbc ]; then mkdir -p /usr/local/pgsql/include/iodbc; fi
/usr/bin/install -c -m 444 iodbc.h /usr/local/pgsql/include/iodbc/iodbc.h
/usr/bin/install -c -m 444 isql.h /usr/local/pgsql/include/iodbc/isql.h
/usr/bin/install -c -m 444 isqlext.h /usr/local/pgsql/include/iodbc/isqlext.h
/usr/bin/install -c -m 644 odbcinst.ini /usr/local/pgsql/odbcinst.ini
/usr/bin/install -c -m 644 libpsqlodbc.a /usr/local/pgsql/lib/libpsqlodbc.a
/usr/bin/install -c -m 644 libpsqlodbc.so.0.26 /usr/local/pgsql/lib/libpsqlodbc.so.0.26
if [ "libpsqlodbc.so.0.26" != "libpsqlodbc.so.0" ]; then \
	cd /usr/local/pgsql/lib; \
	rm -f libpsqlodbc.so.0; \
	ln -s libpsqlodbc.so.0.26 libpsqlodbc.so.0; \
fi
if [ "libpsqlodbc.so.0.26" != "libpsqlodbc.so" ]; then \
	cd /usr/local/pgsql/lib; \
	rm -f libpsqlodbc.so; \
	ln -s libpsqlodbc.so.0.26 libpsqlodbc.so; \
fi
make[2]: Leaving directory `/home/programs/postgresql-7.0.2/src/interfaces/odbc'
make[1]: Leaving directory `/home/programs/postgresql-7.0.2/src/interfaces'
$!
$! make -C bin install
$ set def 'PTOP'.bin'
for i in pg_id pg_version psql pg_dump pg_passwd scripts initdb initlocation ipcclean pg_ctl; do $!
$! make -C $i install; done
$ set def 'PTOP'.bin/pg_id'
/usr/bin/install -c -m 555 pg_id /usr/local/pgsql/bin/pg_id
make[2]: Leaving directory `/home/programs/postgresql-7.0.2/src/bin/pg_id'
$ set def 'PTOP'.bin/pg_version'
/usr/bin/install -c -m 555 pg_version /usr/local/pgsql/bin/pg_version
make[2]: Leaving directory `/home/programs/postgresql-7.0.2/src/bin/pg_version'
$ set def 'PTOP'.bin/psql'
/usr/bin/install -c -m 555 psql /usr/local/pgsql/bin/psql
make[2]: Leaving directory `/home/programs/postgresql-7.0.2/src/bin/psql'
$ set def 'PTOP'.bin/pg_dump'
/usr/bin/install -c -m 555 pg_dump /usr/local/pgsql/bin/pg_dump
/usr/bin/install -c -m 555 pg_dumpall /usr/local/pgsql/bin/pg_dumpall
/usr/bin/install -c -m 555 pg_upgrade /usr/local/pgsql/bin/pg_upgrade
make[2]: Leaving directory `/home/programs/postgresql-7.0.2/src/bin/pg_dump'
$ set def 'PTOP'.bin/pg_passwd'
/usr/bin/install -c -m 555 pg_passwd /usr/local/pgsql/bin/pg_passwd
make[2]: Leaving directory `/home/programs/postgresql-7.0.2/src/bin/pg_passwd'
$ set def 'PTOP'.bin/scripts'
for i in createdb dropdb createuser dropuser createlang droplang vacuumdb; do /usr/bin/install -c -m 555 $i /usr/local/pgsql/bin; done
make[2]: Leaving directory `/home/programs/postgresql-7.0.2/src/bin/scripts'
$ set def 'PTOP'.bin/initdb'
/usr/bin/install -c -m 555 initdb /usr/local/pgsql/bin/initdb
make[2]: Leaving directory `/home/programs/postgresql-7.0.2/src/bin/initdb'
$ set def 'PTOP'.bin/initlocation'
/usr/bin/install -c -m 555 initlocation /usr/local/pgsql/bin
make[2]: Leaving directory `/home/programs/postgresql-7.0.2/src/bin/initlocation'
$ set def 'PTOP'.bin/ipcclean'
/usr/bin/install -c -m 555 ipcclean /usr/local/pgsql/bin
make[2]: Leaving directory `/home/programs/postgresql-7.0.2/src/bin/ipcclean'
$ set def 'PTOP'.bin/pg_ctl'
/usr/bin/install -c -m 555 pg_ctl /usr/local/pgsql/bin
/usr/bin/install -c -m 444 postmaster.opts.default.sample /usr/local/pgsql/lib
make[2]: Leaving directory `/home/programs/postgresql-7.0.2/src/bin/pg_ctl'
make[1]: Leaving directory `/home/programs/postgresql-7.0.2/src/bin'
$!
$! make -C pl install
$ set def 'PTOP'.pl'
$!
$! make -C plpgsql install
$ set def 'PTOP'.pl/plpgsql'
$!
$! make -C src install
$ set def 'PTOP'.pl/plpgsql/src'
/usr/bin/install -c -m 644 libplpgsql.so.1.0 /usr/local/pgsql/lib/plpgsql.so
make[3]: Leaving directory `/home/programs/postgresql-7.0.2/src/pl/plpgsql/src'
make[2]: Leaving directory `/home/programs/postgresql-7.0.2/src/pl/plpgsql'
make[1]: Leaving directory `/home/programs/postgresql-7.0.2/src/pl'
cat ../register.txt
